[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: new module 'iconv_open'

From: Bruno Haible
Subject: Re: new module 'iconv_open'
Date: Tue, 3 Apr 2007 00:36:53 +0200
User-agent: KMail/1.5.4

Eric Blake wrote:
> gperf --version
> GNU gperf 2.7.2

Come on! gperf 3.0.1 was released four years ago, and you are still using its
seven year old predecessor?

> gperf is not on the list of widely available programs, so it must not be 
> invoked by a normal user when compiling a tarball

Right. And the Makefile rules guarantee this: The generated iconv_open-*.h
files are listed in EXTRA_DIST, which will cause them to be present in the
tarballs. But you are probably working off the coreutils CVS, therefore
you need up-to-date tools. Just like with 'bison'.

> but requiring maintainers to have gperf available might be reasonable if
> you could rework this to use a command line that will work with
> commonly-installed gperf versions.

I can only feel sorry for the users of distros where the distro packagers
don't upgrade a program to a new version even in 4 years. And gperf-3.0.x
is _really_ not hard to upgrade: it compiles out of the box on all platforms
and is backward compatible with earlier versions.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]